# zone\_occupancy (nightly) \[TBD]

Return the occupancy of a zone for a particular period of time.

```graphql
// query
query Zone_occupancy(
  $limit: Int,
  $offset: Int,
  $order_by: [zone_occupancy_order_by!],
  $where: zone_occupancy_bool_exp
) {
  zone_occupancy(
    limit: $limit,
    offset: $offset,
    order_by: $order_by,
    where: $where
  ) {
    date_time
    granularity
    id
    occupancy
    site_id
    zone_id
    zone_set_id
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.innerspace.io/api-reference-v2/zone_occupancy-nightly-tbd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
